Subject: bug#73304: Python in relocatable guix pack leads to wrong sys.path

From: Konrad Hinsen <[email-masked]>
Date: Wed, 02 Oct 2024 13:59:56 +0200

Konrad Hinsen <[email-masked]> writes:

> This problem clearly looks like it's caused by our sitecustomize.py.
> One indicator is "When I add both python and a python package": if there
> is no additional package, only python by itself, our sitecustomize
> doesn't do anything.

I have changed my mind. In the sys.path outputs shown, there are no
paths from add-on packages. It's just the Python standard library.
Maybe our sitecustomize.py is not run at all, but if it is, it didn't do
anything to sys.path. There must be a bug somewhere else.

Cheers,
  Konrad.